#pragma once
#include <windows.h>	// va_list

#define elemof(x) (sizeof(x)/sizeof(*(x)))
#define nobreak

#ifdef _DEBUG
void vprintln(void(WINAPI*)(const char*),const char*,va_list);
void vprintln(void(WINAPI*)(const WCHAR*),const WCHAR*,va_list);
void _cdecl dbgprintln(const char*,...);
void _cdecl dbgprintln(const WCHAR*,...);

#define DBG(x) dbgprintln x
#define ASSERT(x) if (!(x)) dbgprintln(("%s:%d: Annahme verletzt: %s",__FILE__,__LINE__,#x));
#else
#define DBG(x)
#define ASSERT(x)
#endif

int clamp(int x, int l, int h);
